IF EXISTS (SELECT 1 FROM SYS.tables WHERE NAME = 'EST_SNGPC_RELATORIOS_ANVISA')
BEGIN
    UPDATE EST_SNGPC_RELATORIOS_ANVISA
	SET [HASH] = CASE 
		WHEN CHARINDEX('O Hash calculado foi ', RETORNO_WEB_SERVICE) > 0 THEN 
		  trim(SUBSTRING(
			RETORNO_WEB_SERVICE, 
			CHARINDEX('O Hash calculado foi ', RETORNO_WEB_SERVICE) + LEN('O Hash calculado foi '), 
			33
		  ))
		ELSE NULL
	  END
	WHERE [HASH] IS NULL
END;
